module Debate.Arguments.Theism.FineTuning exposing (..)

import Debate.Types exposing (..)


argumentFineTuning : Argument
argumentFineTuning =
    { argumentTitle = "Fine Tuning Debunk"
    , propositionTitle = "Fine tuning is an infinitely regressive explanation for God"
    , propositionSummary = "Summary"
    , proofLink = "https://www.umsu.de/trees/#(~6x(Fx~5Dx)),(Fg),(Dg~5T)%7C=(T)"
    , definitionTable =
        [ { definiendum = "F(x)"
          , definiens = "(x) is finely tuned"
          }
        , { definiendum = "D(x)"
          , definiens = "(x) has a designer"
          }
        , { definiendum = "T"
          , definiens = "fine tuning is an infinitely regressive explanation for God"
          }
          , { definiendum = "x"
          , definiens = "a thing"
          }
        , { definiendum = "g"
          , definiens = "God's constitution"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If something is finely tuned, then something has a designer."
                  , notation = "(∀x(Fx→Dx))"
                  }
                , { premise = "God's constitution is finely tuned."
                  , notation = "(Fg)"
                  }
                , { premise = "If God's constitution has a designer, then fine tuning is an infinitely regressive explanation for God."
                  , notation = "(Dg→T)"
                  }
                ]
          , conclusion = "Therefore, fine tuning is an infinitely regressive explanation for God."
          , conclusionNotation = "(∴T)"
          }
        ]
    }
