module Debate.Arguments.Veganism.AntiRewilding exposing (..)

import Debate.Types exposing (..)


argumentAntiRewilding : Argument
argumentAntiRewilding =
    { argumentTitle = "Vegan Society Definition Reductio"
    , propositionTitle = "It is vegan to eat Groot."
    , propositionSummary = "Summary"
    , proofLink  = "https://www.umsu.de/trees/#(~6x(Vx~4~3Ex)),(~6x~6y(~3Ax~5~3E(e(y)))),(~3Ag)%7C=(V(e(g)))"
    , definitionTable =
        [ { definiendum = "V(x)"
          , definiens = "it is vegan to do (x)"
          }
        , { definiendum = "E(x,y)"
          , definiens = "(x) exploits (y)"
          }
        , { definiendum = "A(x)"
          , definiens = "(x) is an animal"
          }
            , { definiendum = "x"
          , definiens = "a being"
          }
            , { definiendum = "y"
          , definiens = "an animal"
          }
        , { definiendum = "e"
          , definiens = "eat"
          }
        , { definiendum = "g"
          , definiens = "Groot"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "For all things, it is vegan to do something if and only if that thing does not exploit animals."
                  , notation = "(∀x(Vx↔¬Ex))"
                  }
                , { premise = "If some beings are not animals, then eating those beings does not exploit animals."
                  , notation = "(∀x∀y(¬Ax→¬E(e(y))))"
                  }
                , { premise = "Groot is not an animal."
                  , notation = "(¬Ag)"
                  }
                ]
          , conclusion = "Therefore, it is vegan to eat Groot."
          , conclusionNotation = "(∴V(e(g)))"
          }
        ]
    }